Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java
Class GL4JavaReflections

    java.lang.Object
      |
      +--gl4java.GL4JavaReflections

All Implemented Interfaces:
  java.lang.Cloneable

public class GL4JavaReflections
extends java.lang.Object
implements java.lang.Cloneable

The function-declaration holder !

Version:
  1.00, 12. Novemeber 1999
Author:
  Sven Goethel

Field Summary
`java.lang.Class[]` | `argList`
`java.lang.Object` | `methodClassInstance`
`java.lang.String` | `methodName`
`java.lang.Class` | `type`

Constructor Summary
`GL4JavaReflections(java.lang.Object methodClassInstance, java.lang.Class type, java.lang.String methodName, java.lang.Class[] argList)`

Method Summary
`protected java.lang.Object` | `clone()`
`static GL4JavaReflections` | `findMethod(java.lang.Object methodClassInstance, java.lang.String methodName, java.lang.String signature)`
`static java.lang.String` | `findMethodSignature(java.lang.Object methodClassInstance, java.lang.String methodName, java.lang.String signature)`
`java.lang.String` | `getMethodSignature()`
`static java.lang.String` | `getMethodSignature(java.lang.Class[] args, java.lang.Class type)`
`static java.lang.String` | `patchJvmSigType(java.lang.String s)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### methodClassInstance

    public java.lang.Object methodClassInstance

### type

    public java.lang.Class type

### methodName

    public java.lang.String methodName

### argList

    public java.lang.Class[] argList

Constructor Detail

### GL4JavaReflections

    public GL4JavaReflections(java.lang.Object methodClassInstance,
                              java.lang.Class type,
                              java.lang.String methodName,
                              java.lang.Class[] argList)

Method Detail

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`

### getMethodSignature

    public java.lang.String getMethodSignature()

### patchJvmSigType

    public static java.lang.String patchJvmSigType(java.lang.String s)

### getMethodSignature

    public static java.lang.String getMethodSignature(java.lang.Class[] args,
                                                      java.lang.Class type)

### findMethod

    public static GL4JavaReflections findMethod(java.lang.Object methodClassInstance,
                                                java.lang.String methodName,
                                                java.lang.String signature)

### findMethodSignature

    public static java.lang.String findMethodSignature(java.lang.Object methodClassInstance,
                                                       java.lang.String methodName,
                                                       java.lang.String signature)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD